### Hierarchy

- OnSaveResult

## Index

### Properties

- operationStatusUrl
- portalNotification

## Properties

### operationStatusUrl

operationStatusUrl: string

The polling url returned by the RP call.

### Optional portalNotification

portalNotification: { failure: { messageTKey: string; titleTKey: string }; initialize: { messageTKey: string; titleTKey: string }; success: { messageTKey: string; titleTKey: string } }

Notifications that need to be shown on the portal for different stages of a scenario (initialized, success/failure).

#### Type declaration

- ##### failure: { messageTKey: string; titleTKey: string }

  Notification that need to be shown when the save operation failed.

  - ##### messageTKey: string

    Key used to pickup the string corresponding to the notification message, from the strings JSON file.

  - ##### titleTKey: string

    Key used to pickup the string corresponding to the notification title, from the strings JSON file.

- ##### initialize: { messageTKey: string; titleTKey: string }

  Notification that need to be shown when the save operation has been triggered.

  - ##### messageTKey: string

    Key used to pickup the string corresponding to the notification message, from the strings JSON file.

  - ##### titleTKey: string

    Key used to pickup the string corresponding to the notification title, from the strings JSON file.

- ##### success: { messageTKey: string; titleTKey: string }

  Notification that need to be shown when the save operation has successfully completed.

  - ##### messageTKey: string

    Key used to pickup the string corresponding to the notification message, from the strings JSON file.

  - ##### titleTKey: string

    Key used to pickup the string corresponding to the notification title, from the strings JSON file.

Generated using TypeDoc